All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Interface ContainerInterface

All Superinterfaces:
  com.sas.DesignTimeDropTargetInterface, ValidatorInterface, VisualInterface

All Known Implementing Classes:
  ArrowButton, BaseButton, BasicColorsPanel, BorderedContainer, BorderedPanel, BufferedPanel, ButtonDialog, ButtonPanel, CatalogSelectorDialog, CheckBoxCell, ClassSelectorPanel, CloseCancelCustomizerDialog, ColorDialog, ColorPanel, ComboBox, CompositeContainer, CompositePanel, Container, ContainerContainerComponent, CustomColorsPanel, CustomizerDialog, CustomizerPanel, DataSetSelectorDialog, Dialog, DialogContainerComponent, DirectoryDialog, DualSelector, EISSelectorDialog, FontDialog, FontPanel, Frame, FrameContainerComponent, GraphicalCheckBox, IndexedPropertyEditorHost, LibrarySelectorDialog, MessageBox, MetabaseSelectorDialog, NavigationBar, OkCancelHelpDialog, OrientationSelector, Panel, PanelContainerComponent, ProgressDialog, PropertyEditorHost, PropertySheet, PushButton, RadioBox, RadioButton, RemoteObjectCustomizerPanel, RemoteObjectSelectorDialog, Scrollbar, ScrollPane, ScrollPaneContainerComponent, SpinBox, TabBar, TabbedView, TabButton, TabFolder, TableView, TextEditComposite, ToggleButton, Toolbar, ToolbarButton, TreeView, UnitsBox, UpDownListBox, UpDownTextArea

    public interface ContainerInterface

extends com.sas.DesignTimeDropTargetInterface, VisualInterface, ValidatorInterface

ContainerInterface defines the behavior of container components.

Method Summary
`void` | `addNotify()`
`int` | `dragEnter(java.awt.Point point, int representation, int keyState, java.util.Vector data)` dragEnter is called when the mouse cursor enters a component in webAF.
`void` | `dragLeave()` dragLeave is called when the cursor leaves the component.
`int` | `dragOver(java.awt.Point point, int representation, int keyState, java.util.Vector data)` dragOver is called when a model or view is dragged over a component.
`com.sas.DesignTimeDropResult` | `drop(java.awt.Point point, int representation, int keyState, java.util.Vector data)` drop is alled when a model or view is dropped on a component.
`java.awt.Component[]` | `getComponents()`
`ContainerInterfaceSupportInfo` | `getContainerInterfaceSupportInfo()` This method is not intended to be called by users.
`java.awt.Insets` | `getInsets()`
`java.awt.LayoutManager` | `getLayout()`
`void` | `invalidate()`
`boolean` | `isIDEDnDDropBarrier()`
`boolean` | `isIDEDnDDropTarget()`
`void` | `removeNotify()`
`void` | `setContainerInterfaceSupportInfo(ContainerInterfaceSupportInfo info)` This method is not intended to be called by users.
`void` | `setDefaultValues()`
`void` | `setIDEDnDDropBarrier(boolean isDropBarrier)`
`void` | `setIDEDnDDropTarget(boolean isDropTarget)`
`void` | `setInsets(java.awt.Insets insets)`
`void` | `setInsets(int top, int left, int right, int bottom)`
`void` | `setLayout(java.awt.LayoutManager layout)`
`void` | `superAddNotify()`
`java.awt.Insets` | `superGetInsets()`
`void` | `superRemoveNotify()`
`void` | `superSetDefaultValues()`
`void` | `validate()`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Methods inherited from interface com.sas.util.validators.ValidatorInterface
`getErrorHandler, getValidator, isValid, setErrorHandler, setValidator`

Method Detail

### setDefaultValues

    void setDefaultValues()

  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  See Also:
    `ComponentInterface.setDefaultValues()`

### addNotify

    void addNotify()

### removeNotify

    void removeNotify()

### getInsets

    java.awt.Insets getInsets()

### getLayout

    java.awt.LayoutManager getLayout()

### setLayout

    void setLayout(java.awt.LayoutManager layout)

### invalidate

    void invalidate()

### validate

    void validate()

### getComponents

    java.awt.Component[] getComponents()

### superSetDefaultValues

    void superSetDefaultValues()

  See Also:
    `setDefaultValues()`

### superAddNotify

    void superAddNotify()

  See Also:
    `addNotify()`

### superRemoveNotify

    void superRemoveNotify()

  See Also:
    `removeNotify()`

### superGetInsets

    java.awt.Insets superGetInsets()

  See Also:
    `getInsets()`

### setInsets

    void setInsets(java.awt.Insets insets)

### setInsets

    void setInsets(int top,
                   int left,
                   int right,
                   int bottom)

### dragOver

    int dragOver(java.awt.Point point,
                 int representation,
                 int keyState,
                 java.util.Vector data)

  Description copied from interface: `DesignTimeDropTargetInterface`
  dragOver is called when a model or view is dragged over a component.

  Specified by:
    `dragOver` in interface `com.sas.DesignTimeDropTargetInterface`
  Parameters:
    `point` - The x/y coordinates of the mouse cursor inside the component.
    `representation` - One of com.sas.DesignTimeDropResult.{representationComponent,representationModel,representationAttribute,representationViewer}
    `keyState` - Unused.
    `data` - A Vector containing information about the drag.
  Returns:
    One of com.sas.DesignTimeDropResult.{dragIndeterminate,dragMove,dragCopy,dragLink,dragNone}

### dragEnter

    int dragEnter(java.awt.Point point,
                  int representation,
                  int keyState,
                  java.util.Vector data)

  Description copied from interface: `DesignTimeDropTargetInterface`
  dragEnter is called when the mouse cursor enters a component in webAF. The component may choose to change it's visual representation when something is being dragged within it.

  NOTE: dragEnter is currently not functioning properly due to a problem in the C/Java event handling. It may not be called on a component, or it may not always be called on a component at the expected time.

  Specified by:
    `dragEnter` in interface `com.sas.DesignTimeDropTargetInterface`
  Parameters:
    `point` - The x/y coordinates of the mouse cursor inside the component.
    `representation` - One of com.sas.DesignTimeDropResult.{representationComponent,representationModel,representationAttribute,representationViewer}
    `keyState` - Unused.
    `data` - A Vector containing information about the drag.
  Returns:
    One of com.sas.DesignTimeDropResult.{dragIndeterminate,dragMove,dragCopy,dragLink,dragNone}

### dragLeave

    void dragLeave()

  Description copied from interface: `DesignTimeDropTargetInterface`
  dragLeave is called when the cursor leaves the component.

  NOTE: dragLeave is currently not functioning properly due to a problem in the C/Java event handling. It may not be called on a component, or it may not always be called on a component at the expected time.

  Specified by:
    `dragLeave` in interface `com.sas.DesignTimeDropTargetInterface`

### drop

    com.sas.DesignTimeDropResult drop(java.awt.Point point,
                                      int representation,
                                      int keyState,
                                      java.util.Vector data)

  Description copied from interface: `DesignTimeDropTargetInterface`
  drop is alled when a model or view is dropped on a component.

  Specified by:
    `drop` in interface `com.sas.DesignTimeDropTargetInterface`
  Parameters:
    `point` - The x/y coordinates of the mouse cursor inside the component.
    `representation` - One of com.sas.DesignTimeDropResult.{representationComponent,representationModel,representationAttribute,representationViewer}
    `keyState` - Unused.
    `data` - A Vector containing information about the drag.
  Returns:
    An instance of com.sas.DesignTimeDropResult or null to indicate that a drop was refused.

### isIDEDnDDropTarget

    boolean isIDEDnDDropTarget()

### setIDEDnDDropTarget

    void setIDEDnDDropTarget(boolean isDropTarget)

### isIDEDnDDropBarrier

    boolean isIDEDnDDropBarrier()

### setIDEDnDDropBarrier

    void setIDEDnDDropBarrier(boolean isDropBarrier)

### getContainerInterfaceSupportInfo

    ContainerInterfaceSupportInfo getContainerInterfaceSupportInfo()

  This method is not intended to be called by users. The ContainerInterfaceSupport class uses this method. Returns the info object which holds instance data for objects implementing the ContainerInterface interface.

  Returns:
    The instance of ContainerInterfaceSupportInfo for the component.

### setContainerInterfaceSupportInfo

    void setContainerInterfaceSupportInfo(ContainerInterfaceSupportInfo info)

  This method is not intended to be called by users. The ContainerInterfaceSupport class uses this method. Sets the info object which holds instance data for objects implementing the ContainerInterface interface.

  Parameters:
    `info` - The instance of ContainerInterfaceSupportInfo for the component.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.